Announcement

Collapse
No announcement yet.

How to Catalyst 8.11 on Ubuntu 8.10?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • How to Catalyst 8.11 on Ubuntu 8.10?

    Can someone please inform me on whether it's currently possible to install Catalyst 8.11 on Ubuntu Intrepid 8.10?

    The comments that I've seen on the forum don't inspire confidence. Is the driver still fundamentally "broken" on Xorg 7.4 / Xserver 1.5.2?

    Any help that you can provide would be greatly appreciated.

  • #2
    Just run my script:

    http://kanotix.com/files/install-fglrx-debian.sh

    In case of problems post

    /etc/X11/xorg.conf and /var/log/Xorg.0.log

    Comment


    • #3
      Originally posted by Kano View Post
      Just run my script:

      http://kanotix.com/files/install-fglrx-debian.sh

      In case of problems post

      /etc/X11/xorg.conf and /var/log/Xorg.0.log
      Unfortunately, I never even got as far as X failing to start up. The script somehow failed to create the deb packages at all. I saved a log of the script's output, though:

      error.log

      Comment


      • #4
        Hi Kano,
        what exactly does that script do? It seems atleast to patch something (kernel?)...

        Ubuntu, debian and kanotix is mentioned alot, but will this work on kubuntu 64bit?
        Last edited by conholster; 11-23-2008, 02:46 PM.

        Comment


        • #5
          I used the restricted module installer from the desktop. You have to wait for the driver to download and the installer my vanish or seem like it crapped out on the download, but it should still be going. Check in /var/cache/apt/archives/partial/ and there should be where the driver is downloading, once it moves up to /var/cache/apt/archives it will install (or maybe not, can't remember) or you just start up the driver manager again and activate it again and it will install. Works fine from fresh install of Ubuntu 8.10, but the restricted driver installer thing is flaky.

          Edit: Making own thread for own problem instead of hijacking this one.
          Last edited by slikster; 11-23-2008, 06:56 PM.

          Comment


          • #6
            @Ostsol

            Well it seems i have to install U 8.10 then - I wanted to avoid that I guess there is still a tiny fault in the packageing. The problem is my test system has got only 1 GB ram and in live mode thats too few memory for running my script... My nvidia script definitely runs fine there. Will tell you when it is done.

            Comment


            • #7
              Re: Kano

              Much appreciated.

              Comment


              • #8
                I used the default installer and it work fine.

                Comment


                • #9
                  Well now the script is fixed, the patch is much bigger than before, because it changes a few files more. Also it adds a divert for libglx.so, which is only in the xorg 7.4 dir. The default installer works, but it does not use dkms.

                  Comment


                  • #10
                    Originally posted by Kano View Post
                    The default installer works, but it does not use dkms.
                    It says it is using it when it's installing the kernel module. Lies!!! ... ?

                    Comment


                    • #11
                      Well maybe it does. At least you can use my script now too - it also automatically restarts X and unloads the old modules. With enough ram you can use it even in live mode.

                      Comment


                      • #12
                        @Kano 10x for the script it works for me but after i restart my laptop

                        Comment


                        • #13
                          Well fglrx somehow stupid, especially when switching from ati to fglrx then you can get a hardlock. If you know that this will happen use -z option and reboot manually. Switching between fglrx drivers usually does not lock the system.

                          Comment


                          • #14
                            Thanks for the script Kano, worked great for me

                            Comment


                            • #15
                              doesn't work with 9700 mobility on intrepid

                              sudo modprobe -v fglrx
                              FATAL: Error inserting fglrx (/lib/modules/2.6.27-10-generic/updates/dkms/fglrx.ko): Cannot allocate memory


                              Xorg.0.log

                              (II) Primary Device is: PCI 01@00:00:0
                              (WW) Falling back to old probe method for fglrx
                              (II) ATI Proprietary Linux Driver Version Identifier:8.55.2
                              (II) ATI Proprietary Linux Driver Release Identifier: UNSUPPORTED-8.552
                              (II) ATI Proprietary Linux Driver Build Date: Oct 28 2008 21:22:33
                              (WW) This ATI Proprietary Linux Driver does not guarantee support of video driver ABI higher than 2.0
                              (WW) Video driver ABI version of the X server is 4.1
                              (--) Assigning device section with no busID to primary device
                              (EE) No devices detected.

                              Fatal server error:
                              no screens found

                              Comment

                              Working...
                              X